import type { JSX } from '../../stencil-public-runtime';
import { BaseWebComponent } from '../../internal/functional-components/base-web-component';
import type { WebComponentInterface } from '../../internal/functional-components/generic-types';
import type { SpinApi } from '../../internal/functional-components/spin/api';
import type { SpinVariantType } from '../../internal/props/variant-spin';
export declare class KolSpin extends BaseWebComponent<SpinApi> implements WebComponentInterface<SpinApi> {
    private readonly ctrl;
    _show?: boolean;
    watchShow(value?: boolean): void;
    _label?: string;
    watchLabel(value?: string): void;
    _variant?: SpinVariantType;
    watchVariant(value?: SpinVariantType): void;
    showToggled: boolean;
    componentWillLoad(): void;
    render(): JSX.Element;
}
